FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > CentOS > CentOS

 
 
LinkBack Thread Tools
 
Old 07-06-2008, 04:01 PM
Mark Hull-Richter
 
Default nspluginwrapper failure on x86_64 in 5.2

This was working in 5.1 - I am now getting errors when I try to run a
flash video in seamonkey under CetnOS 5.2. Here is the error:

For application/x-shockwave-flash found plugin /usr/lib64/mozilla/plugins/npwrapper.libflashplayer.so
sh: /usr/lib/nspluginwrapper/i386/linux/npviewer: No such file or directory

Here is what I have installed:

$rpm -qa | grep -i nsplugin
nspluginwrapper-0.9.91.5-21.el5.i386
nspluginwrapper-0.9.91.5-21.el5.x86_64

These are now part of the base, but there seems to be a problem with
finding the right plugin to execute:


$ locate nspluginwrapper
/etc/sysconfig/nspluginwrapper
/usr/lib/nspluginwrapper
/usr/lib/nspluginwrapper/npconfig
/usr/lib/nspluginwrapper/npviewer
/usr/lib/nspluginwrapper/npviewer.bin
/usr/lib/nspluginwrapper/npwrapper.so
/usr/lib/nspluginwrapper/plugin-config
/usr/lib64/nspluginwrapper
/usr/lib64/nspluginwrapper/npconfig
/usr/lib64/nspluginwrapper/npviewer
/usr/lib64/nspluginwrapper/npviewer.bin
/usr/lib64/nspluginwrapper/npwrapper.so
/usr/lib64/nspluginwrapper/plugin-config
/usr/share/doc/nspluginwrapper-0.9.91.5
/usr/share/doc/nspluginwrapper-0.9.91.5/COPYING
/usr/share/doc/nspluginwrapper-0.9.91.5/NEWS
/usr/share/doc/nspluginwrapper-0.9.91.5/README
/var/cache/yum/base/packages/nspluginwrapper-0.9.91.5-21.el5.i386.rpm
/var/cache/yum/base/packages/nspluginwrapper-0.9.91.5-21.el5.x86_64.rpm

Just for good measure:

$ ls -R /usr/lib/nspluginwrapper
/usr/lib/nspluginwrapper:
npconfig* npviewer* npviewer.bin* npwrapper.so* plugin-config*

What happened (or, what do I do next)? This seems to be broken in 5.2.

Thanks.

mhr


_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 
Old 07-06-2008, 04:10 PM
Johnny Hughes
 
Default nspluginwrapper failure on x86_64 in 5.2

Mark Hull-Richter wrote:

This was working in 5.1 - I am now getting errors when I try to run a
flash video in seamonkey under CetnOS 5.2. Here is the error:

For application/x-shockwave-flash found plugin /usr/lib64/mozilla/plugins/npwrapper.libflashplayer.so
sh: /usr/lib/nspluginwrapper/i386/linux/npviewer: No such file or directory

Here is what I have installed:

$rpm -qa | grep -i nsplugin
nspluginwrapper-0.9.91.5-21.el5.i386
nspluginwrapper-0.9.91.5-21.el5.x86_64

These are now part of the base, but there seems to be a problem with
finding the right plugin to execute:


$ locate nspluginwrapper
/etc/sysconfig/nspluginwrapper
/usr/lib/nspluginwrapper
/usr/lib/nspluginwrapper/npconfig
/usr/lib/nspluginwrapper/npviewer
/usr/lib/nspluginwrapper/npviewer.bin
/usr/lib/nspluginwrapper/npwrapper.so
/usr/lib/nspluginwrapper/plugin-config
/usr/lib64/nspluginwrapper
/usr/lib64/nspluginwrapper/npconfig
/usr/lib64/nspluginwrapper/npviewer
/usr/lib64/nspluginwrapper/npviewer.bin
/usr/lib64/nspluginwrapper/npwrapper.so
/usr/lib64/nspluginwrapper/plugin-config
/usr/share/doc/nspluginwrapper-0.9.91.5
/usr/share/doc/nspluginwrapper-0.9.91.5/COPYING
/usr/share/doc/nspluginwrapper-0.9.91.5/NEWS
/usr/share/doc/nspluginwrapper-0.9.91.5/README
/var/cache/yum/base/packages/nspluginwrapper-0.9.91.5-21.el5.i386.rpm
/var/cache/yum/base/packages/nspluginwrapper-0.9.91.5-21.el5.x86_64.rpm

Just for good measure:

$ ls -R /usr/lib/nspluginwrapper
/usr/lib/nspluginwrapper:
npconfig* npviewer* npviewer.bin* npwrapper.so* plugin-config*

What happened (or, what do I do next)? This seems to be broken in 5.2.


do you have both versions of firefox installed, and do you use both
versions of firefox .. if not, remove the i386 plugin and see if that
fixes the issue.


_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 
Old 07-06-2008, 04:48 PM
"B.J. McClure"
 
Default nspluginwrapper failure on x86_64 in 5.2

On Sun, 2008-07-06 at 11:10 -0500, Johnny Hughes wrote:
> Mark Hull-Richter wrote:
> > This was working in 5.1 - I am now getting errors when I try to run a
> > flash video in seamonkey under CetnOS 5.2. Here is the error:
> >
> > For application/x-shockwave-flash found plugin /usr/lib64/mozilla/plugins/npwrapper.libflashplayer.so
> > sh: /usr/lib/nspluginwrapper/i386/linux/npviewer: No such file or directory
> >
> > Here is what I have installed:
> >
> > $rpm -qa | grep -i nsplugin
> > nspluginwrapper-0.9.91.5-21.el5.i386
> > nspluginwrapper-0.9.91.5-21.el5.x86_64
> >
> > These are now part of the base, but there seems to be a problem with
> > finding the right plugin to execute:
> >
> >
> > $ locate nspluginwrapper
> > /etc/sysconfig/nspluginwrapper
> > /usr/lib/nspluginwrapper
> > /usr/lib/nspluginwrapper/npconfig
> > /usr/lib/nspluginwrapper/npviewer
> > /usr/lib/nspluginwrapper/npviewer.bin
> > /usr/lib/nspluginwrapper/npwrapper.so
> > /usr/lib/nspluginwrapper/plugin-config
> > /usr/lib64/nspluginwrapper
> > /usr/lib64/nspluginwrapper/npconfig
> > /usr/lib64/nspluginwrapper/npviewer
> > /usr/lib64/nspluginwrapper/npviewer.bin
> > /usr/lib64/nspluginwrapper/npwrapper.so
> > /usr/lib64/nspluginwrapper/plugin-config
> > /usr/share/doc/nspluginwrapper-0.9.91.5
> > /usr/share/doc/nspluginwrapper-0.9.91.5/COPYING
> > /usr/share/doc/nspluginwrapper-0.9.91.5/NEWS
> > /usr/share/doc/nspluginwrapper-0.9.91.5/README
> > /var/cache/yum/base/packages/nspluginwrapper-0.9.91.5-21.el5.i386.rpm
> > /var/cache/yum/base/packages/nspluginwrapper-0.9.91.5-21.el5.x86_64.rpm
> >
> > Just for good measure:
> >
> > $ ls -R /usr/lib/nspluginwrapper
> > /usr/lib/nspluginwrapper:
> > npconfig* npviewer* npviewer.bin* npwrapper.so* plugin-config*
> >
> > What happened (or, what do I do next)? This seems to be broken in 5.2.
>
> do you have both versions of firefox installed, and do you use both
> versions of firefox .. if not, remove the i386 plugin and see if that
> fixes the issue.
I have a similar issue with only one version of nspluginwrapper
installed.
# rpm -qa | grep nspluginwrapper
nspluginwrapper-0.9.91.5-21.el5
I do appear to have two identical firefox packages installed.
# rpm -qa | grep firefox
firefox-3.0-0.beta5.6.el5.centos
firefox-3.0-0.beta5.6.el5.centos

One is 32 bit, other 64 bit with identical package names. How to remove
unwanted package?
# rpm -qa | grep nspluginwrapper
nspluginwrapper-0.9.91.5-21.el5
[root@office bmcclure]# yum list firefox
Loading "protectbase" plugin
Loading "fastestmirror" plugin
Loading mirror speeds from cached hostfile
* base: mirror.hmc.edu
* updates: mirror.steadfast.net
* addons: mirrors.tummy.com
* extras: pubmirrors.reflected.net
0 packages excluded due to repository protections
Installed Packages
firefox.x86_64 3.0-0.beta5.6.el5.cent
installed
firefox.i386 3.0-0.beta5.6.el5.cent
installed

Thanks,
B.J.
CentOS 5.0, Linux 2.6.18-92.1.6.el5 x86_64 11:41:43 up 15:17, 2 users,
load average: 0.04, 0.13, 0.09

_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 
Old 07-06-2008, 08:13 PM
MHR
 
Default nspluginwrapper failure on x86_64 in 5.2

On Sun, Jul 6, 2008 at 9:48 AM, B.J. McClure <keepertoad@verizon.net> wrote:
>
>
> I have a similar issue with only one version of nspluginwrapper
> installed.
> # rpm -qa | grep nspluginwrapper
> nspluginwrapper-0.9.91.5-21.el5
> I do appear to have two identical firefox packages installed.
> # rpm -qa | grep firefox
> firefox-3.0-0.beta5.6.el5.centos
> firefox-3.0-0.beta5.6.el5.centos
>
> One is 32 bit, other 64 bit with identical package names. How to remove
> unwanted package?

Add this to your .rpmmacros file:

%_query_all_fmt %%{name}-%%{version}-%%{release}.%%{arch}

Then remove the i386 version.

(You could just rmeove the i396 version, but it's nice to see the
differences when you list them, too.)

mhr
_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 
Old 07-06-2008, 09:20 PM
MHR
 
Default nspluginwrapper failure on x86_64 in 5.2

On Sun, Jul 6, 2008 at 9:10 AM, Johnny Hughes <jhughes@hughesjr.com> wrote:
>
> do you have both versions of firefox installed, and do you use both versions
> of firefox ..

Yes and no - I almost never use firefox at all.

> if not, remove the i386 plugin and see if that fixes the
> issue.
>

Did that. Also recompiled seamonkey - no good.

Wasn't the nspluginwrapper an rpmforge entity until 5.2? I don't
remember it being part of the CentOS packages until now.

I'll still pick at it, although I do have another way to view the
videos (but that only covers youtube cases...).

Hmmm

mhr
_______________________________________________
CentOS mailing list
CentOS@centos.org
http://lists.centos.org/mailman/listinfo/centos
 

Thread Tools




All times are GMT. The time now is 07:49 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org